svn commit: trunk/busybox/scripts/kconfig

vapier at busybox.net vapier at busybox.net
Sat Nov 17 22:17:54 PST 2007


Author: vapier
Date: 2007-11-17 22:17:52 -0800 (Sat, 17 Nov 2007)
New Revision: 20448

Log:
merge from upstream for systems that dont integrate libintl into their C library:

commit aa1e5ef5c1d95e7ebf0821d9ba27debe43a87a22
Author: Sam Ravnborg <sam at ravnborg.org>
Date:   Sun Aug 12 23:15:44 2007 +0200

    kbuild: check if we can link gettext not just compile

    cygwin provides the header file but the lib file needs
    to be added manually. A generic fix is to check if
    we can compile and link a program that uses gettext()
    and if it fails fall back to NO_NLS.

    International users of cygwin may have to specify
    HOST_LOADLIBES := "-lintl" on the make command line.

    Signed-off-by: Sam Ravnborg <sam at ravnborg.org>


Added:
   trunk/busybox/scripts/kconfig/check.sh

Modified:
   trunk/busybox/scripts/kconfig/Makefile


Changeset:
Modified: trunk/busybox/scripts/kconfig/Makefile
===================================================================
--- trunk/busybox/scripts/kconfig/Makefile	2007-11-18 06:13:58 UTC (rev 20447)
+++ trunk/busybox/scripts/kconfig/Makefile	2007-11-18 06:17:52 UTC (rev 20448)
@@ -117,14 +117,8 @@
 		   .tmp_gtkcheck zconf.tab.c lex.zconf.c zconf.hash.c
 subdir- += lxdialog
 
-# Needed for systems without gettext
-KBUILD_HAVE_NLS := $(shell \
-     if echo "\#include <libintl.h>" | $(HOSTCC) $(HOSTCFLAGS) -E - > /dev/null 2>&1 ; \
-     then echo yes ; \
-     else echo no ; fi)
-ifeq ($(KBUILD_HAVE_NLS),no)
-HOSTCFLAGS	+= -DKBUILD_NO_NLS
-endif
+# Add environment specific flags
+HOST_EXTRACFLAGS += $(shell $(CONFIG_SHELL) $(srctree)/$(src)/check.sh $(HOSTCC) $(HOSTCFLAGS))
 
 # generated files seem to need this to find local include files
 HOSTCFLAGS_lex.zconf.o	:= -I$(src)

Added: trunk/busybox/scripts/kconfig/check.sh
===================================================================
--- trunk/busybox/scripts/kconfig/check.sh	                        (rev 0)
+++ trunk/busybox/scripts/kconfig/check.sh	2007-11-18 06:17:52 UTC (rev 20448)
@@ -0,0 +1,14 @@
+#!/bin/sh
+# Needed for systems without gettext
+$* -xc -o /dev/null - > /dev/null 2>&1 << EOF
+#include <libintl.h>
+int main()
+{
+	gettext("");
+	return 0;
+}
+EOF
+if [ ! "$?" -eq "0"  ]; then
+	echo -DKBUILD_NO_NLS;
+fi
+


Property changes on: trunk/busybox/scripts/kconfig/check.sh
___________________________________________________________________
Name: svn:executable
   + *



More information about the busybox-cvs mailing list